Public Member Functions

# wxGridCellTextEditor Class Reference
[Grid Related Classes]

`#include <wx/grid.h>`

Inheritance diagram for wxGridCellTextEditor:
[legend]

## Detailed Description

Grid cell editor for string/text data.

##

Library: wxAdvanced
Category: Grid Related Classes

See also:
  wxGridCellEditor, wxGridCellAutoWrapStringEditor, wxGridCellBoolEditor, wxGridCellChoiceEditor, wxGridCellEnumEditor, wxGridCellFloatEditor, wxGridCellNumberEditor

## Public Member Functions
| wxGridCellTextEditor ()
| Default constructor.
virtual void | SetParameters (const wxString &params)
| The parameters string format is "n" where n is a number representing the maximum width.

List of all members.

## Constructor & Destructor Documentation

wxGridCellTextEditor::wxGridCellTextEditor | ( |  | ) |

Default constructor.

## Member Function Documentation

virtual void wxGridCellTextEditor::SetParameters | ( | const wxString & | params | ) | `[virtual]`

The parameters string format is "n" where n is a number representing the maximum width.

Reimplemented in wxGridCellFloatEditor, and wxGridCellNumberEditor.

|  | [ top ]